"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Axios_1 = require("./core/Axios");
var helpers_1 = require("./utils/helpers");
var defaults_1 = require("./defaults");
var mergeConfig_1 = require("./core/mergeConfig");
var Cancel_1 = require("./cancel/Cancel");
var CancelToken_1 = require("./cancel/CancelToken");
/**
 * @description: 创建Axios混合对象
 * @param {*}
 * @return {*}
 */
function createInstance(defaultConfig) {
    var context = new Axios_1.default(defaultConfig);
    var instance = Axios_1.default.prototype.request.bind(context);
    (0, helpers_1.extend)(instance, context);
    return instance;
}
var axios = createInstance(defaults_1.default);
axios.create = function (config) {
    return createInstance((0, mergeConfig_1.default)(defaults_1.default, config));
};
axios.CancelToken = CancelToken_1.default;
axios.Cancel = Cancel_1.default;
axios.isCancel = Cancel_1.isCancel;
axios.all = function (promises) {
    return Promise.all(promises);
};
axios.spread = function (callback) {
    return function wrap(arr) {
        return callback.apply(null, arr);
    };
};
axios.Axios = Axios_1.default;
exports.default = axios;
//# sourceMappingURL=axios.js.map