"use strict";
/*
 * @Author: Lisc
 * @Date: 2022-04-07 17:41:20
 * @Description: 请求和响应数据转换函数 的处理逻辑
 */
Object.defineProperty(exports, "__esModule", { value: true });
function transform(data, headers, fns) {
    if (!fns) {
        return data;
    }
    // 将转换函数统一成数组形式
    if (!Array.isArray(fns)) {
        fns = [fns];
    }
    fns.forEach(function (fn) {
        data = fn(data, headers);
    });
    return data;
}
exports.default = transform;
//# sourceMappingURL=transform.js.map