import { Method } from '../types';
/**
 * @description: xhr 中的data数据不接受对象形式，需要转为Json字符串
 * 而Json字符串会被当做普通文本处理，xhr默认设置的请求头为Content-Type为text/plain，
 * 这里需要将其修改成application/json
 * @param {any} headers
 * @param {any} data
 * @return {*}
 */
declare function setHeaders(headers: any, data: any): void;
/**
 * @description: 将字符串类型的响应头转成对象形式
 * @param {string} headers
 * @return {*}
 */
declare function parseHeaders(headers: string): any;
declare function flattenHeaders(headers: any, method: Method): any;
export { setHeaders, parseHeaders, flattenHeaders };
