/**
 * @description: 判断一个对象是不是普通对象（是不是通过 "{}" 或者 "new Object" 创建的）
 * @param {any} o
 * @return {*}
 */
declare function isPlainObject(o: any): o is object;
/**
 * @description: 判断一个类型是否为日期类型
 * @param {any} d
 * @return {*}
 */
declare function isDate(d: any): d is Date;
declare function isFormData(val: any): val is FormData;
declare function isURLSearchParams(val: any): val is URLSearchParams;
/**
 * @description: 将from对象的所有成员复制到to对象
 * @param {T} to
 * @param {U} from
 * @return {*}
 */
declare function extend<T, U>(to: T, from: U): T & U;
/**
 * @description: 深拷贝,支持将多个对象的属性拷贝到一个对象中
 * @param {array} objs
 * @return {*}
 */
declare function deepCopy(...objs: any[]): any;
export { isPlainObject, isDate, isFormData, extend, deepCopy, isURLSearchParams };
